| Home | Libraries | People | FAQ | More

###### http::basic_parser::eager (2 of 2 overloads)

Set the eager parse option.

###### Synopsis

    void
    eager(
        bool v);

###### Description

Normally the parser returns after successfully parsing a structured element (header, chunk header, or chunk body) even if there are octets remaining in the input. This is necessary when attempting to parse the header first, or when the caller wants to inspect information which may be invalidated by subsequent parsing, such as a chunk extension. The `eager` option controls whether the parser keeps going after parsing structured element if there are octets remaining in the buffer and no error occurs. This option is automatically set or cleared during certain stream operations to improve performance with no change in functionality.

The default setting is `false`.

###### Parameters

Name | Description
--- | ---
`v` | `true` to set the eager parse option or `false` to disable it.